summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-01-13 15:07:46 +0100
committerHolger Levsen <holger@layer-acht.org>2017-01-13 15:07:46 +0100
commit234fae048670d0aee68ec2e3066da0f7ff695d77 (patch)
tree5978354348bfacc9e934472d3a08a42f9a027664 /bin/reproducible_maintenance.sh
parent3da1a4e2fce52fd647c4a583394ee3c72b950b77 (diff)
downloadjenkins.debian.net-234fae048670d0aee68ec2e3066da0f7ff695d77.tar.xz
reproducible Debian: properly test for /dev/shm and /run/shm
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh25
1 files changed, 22 insertions, 3 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index afbb3d8e..e4cae586 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -52,6 +52,17 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
fi
fi
+show_fstab_and_mounts() {
+ echo "################################"
+ echo "/etc/fstab on $HOSTNAME"
+ echo "################################"
+ cat /etc/fstab
+ echo "################################"
+ echo "mount output on $HOSTNAME"
+ echo "################################"
+ mount
+}
+
# for Debian, first run some checks…
set +e
# check for working proxy
@@ -61,12 +72,20 @@ if [ $? -ne 0 ] ; then
irc_message debian-reproducible "Proxy is down for $HOSTNAME, please tell the jenkins admins to fix this. (sudo service squid3 restart)"
exit 1
fi
-# check for /(run|dev)/shm being mounted
-echo "$(date -u) - testing whether /(run|dev)/shm is mounted correctly..."
+# check for /dev/shm being mounted properly
+echo "$(date -u) - testing whether /dev/shm is mounted correctly..."
mount | egrep -q "^tmpfs on /dev/shm" && test "$(stat -c %a -L /dev/shm)" = 1777
+if [ $? -ne 0 ] ; then
+ irc_message debian-reproducible "/dev/shm is not mounted correctly on $HOSTNAME, please tell the jenkins admins to fix this."
+ show_fstab_and_mounts
+ exit 1
+fi
+# check for /run/shm being mounted properly
+echo "$(date -u) - testing whether /run/shm is mounted correctly..."
mount | egrep -q "^tmpfs on /run/shm" && test "$(stat -c %a -L /run/shm)" = 1777
if [ $? -ne 0 ] ; then
- irc_message debian-reproducible "/(run|dev)/shm is not mounted correctly on $HOSTNAME, please tell the jenkins admins to fix this. (by adding 'none /dev/shm tmpfs rw,nosuid,nodev,noexec 0 0' to /etc/fstab"
+ irc_message debian-reproducible "/run/shm is not mounted correctly on $HOSTNAME, please tell the jenkins admins to fix this."
+ show_fstab_and_mounts
exit 1
fi